<div class="msg-pop">
  <div>
    <h3>Customer Ratings</h3>
  </div>
</div>

<div class="ibox-content">
    <div class="table-responsive">
      <table aria-describedby="Manage Company" class="table table-striped table-bordered table-responsive zoom"  *ngIf="customerRatingLength > 0">
  <thead>
    <tr>
      <th scope="col"> Customer Name</th>
      <th scope="col"> Comments </th>
      <th scope="col"> Ratings </th>
    </tr>
  </thead>
  <tbody>
    <tr *ngFor="let customerRating of customerRatingData">      
      <td>{{ customerRating.customer_id? customerRating.customer_id.firstname: 'N/A'}}</td>
      <td>{{ customerRating.comments }}</td>
      <td>{{ customerRating.ratings }}</td>
    </tr>
  </tbody>
</table>
</div>

  <div class="container-fluid" *ngIf="customerRatingLength == 0">
    <div class="row">
      <div class="dataTables_info1">
        <div class="col-md-4 form-group" style="text-align:center;margin-left:32%">
          No records found
        </div>
      </div>
    </div>
  </div>

  <div class="pop-btn text-right">
    <input class="btn btn-sm btn-primary red" value="Close" type="button" (click)="closePop()">
  </div>
</div>
